Summary: An X Window System tool for creating morphed images.
Name: xmorph
Version: 20010220
Release: 1mdk
Serial: 2
Copyright: GPL
Group: Graphics
Requires: /sbin/ldconfig menu libmorph0 common-licenses /sbin/install-info
BuildRequires: XFree86-devel autoconf automake libtool gimp-devel
Source0: http://ftp.sourceforge.net/xmorph/xmorph_20010220.tar.gz
Source1: %{name}
Source2: icons-%{name}.tar.bz2
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://sourceforge.net/projects/xmorph/

%package -n libmorph0
Summary: Internal library required for xmorph/gtkmorph
Requires: xmorph = %{version}
Group: Graphics
Provides: libmorph

%package -n libmorph0-devel
Summary: Headers and static libraries required for xmorph/gtkmorph development
Requires: libmorph0 = %{version}
Group: Graphics
Provides: libmorph-devel

%description
Xmorph is a digital image warping (aka morphing) program.  Xmorph
provides the tools needed and comprehensible instructions for you to
create morphs:  changing one image into another.  Xmorph runs under the
X Window System.

Install the xmorph package if you need a program that will create morphed
images.

%description -n libmorph0
Internal library for xmorph and gtkmorph.

%description -n libmorph0-devel
Development headers and static libs for xmorph and gtkmorph.

%prep
%setup -q
libtoolize --force
autoheader
automake --gnu --add-missing
aclocal
autoconf

%build
%configure --without-morph
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#mdk menu 
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 %SOURCE1 $RPM_BUILD_ROOT/usr/lib/menu/

#mdk icons
install -d $RPM_BUILD_ROOT%{_iconsdir}
tar xIvf %{SOURCE2} -C $RPM_BUILD_ROOT%{_iconsdir}

%post
%_install_info %{name}.info
%update_menus

%post -n libmorph0
/sbin/ldconfig
  
%preun
%_remove_install_info %{name}.info

%postun
%clean_menus

%postun -n libmorph0
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS README HISTORY NEWS
%{_bindir}/*
%{_mandir}/*/*
%{_menudir}/*
%{_infodir}/*
%{_iconsdir}/*.xpm
%{_iconsdir}/*/*.xpm

%files -n libmorph0
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n libmorph0-devel
%defattr(-,root,root)
%doc TODO
%{_libdir}/*.a
%{_libdir}/*.so
%{_prefix}/include/*

%changelog
* Wed Mar 14 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 20010220-1mdk
- Update to latest SourceForge version, to fix glib problems.
  (Old one was over a year old and had tons of bugs.  <nudge> redhog)
- More docs.
- Use more standard version number scheme.  Update 'Serial' to handle this.
- Clean spec completely, xmorph includes autoconf support now.
- Create new sub-packages libmorph0, libmorph0-devel.
- Install info documentation.

* Mon Dec 11 2000 Egil Moeller <redhog@mandrakesoft.com> 2000.03.03-7mdk
- Defined GIMP_ENABLE_COMPAT_CRUFT as a cludge not to have to have to
  upport all of this sh*t code to the new gimplib (Without it, it does
  not compile anymore) (It will break again anyway, with gimplib 1.2,
  but I hope, I hope, that the xmorph author fixes this until then)...

* Mon Oct 02 2000 Daouda Lo <daouda@mandrakesoft.com> 2000.03.03-6mdk
- icons should be transparents!
- macrozifications

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 2000.03.03-5mdk
- automatically added BuildRequires

* Wed May 03 2000 dam's <damien@mandrakesoft.com> 2000.03.03-4mdk
- Corrected icones.

* Tue Apr 18 2000 dam's <damien@mandrakesoft.com> 2000.03.03-3mdk
- Convert gif icon to xpm.

* Mon Apr 17 2000 dam's <damien@mandrakesoft.com> 2000.03.03-2mdk
- Added menu entry.

* Tue Mar 28 2000 dam's <damien@mandrakesoft.com> 2000.03.03-1mdk
- Update to 2000mar03

* Fri Nov 12 1999 dam's <damien@mandrakesoft.com>
- Mandrake release

* Thu May 06 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
